Package org.python.modules

# Class cStringIO

java.lang.Object
org.python.modules.cStringIO

public class cStringIO extends Object
This module implements a file-like class, StringIO, that reads and writes a string buffer (also known as memory files). See the description on file objects for operations.

Version:
  cStringIO.java,v 1.10 1999/05/20 18:03:20 fb Exp
Author:
  Finn Bock, bckfnn@pipmail.dknet.dk

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`cStringIO.StringIO`
The StringIO object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`__doc__`
`static final String`
`__doc__StringIO`
`static PyType`
`InputType`
`static PyType`
`OutputType`

## Constructor Summary

Constructors
Constructor
Description
`cStringIO()`

## Method Summary

Modifier and Type
Method
Description
`static cStringIO.StringIO`
`StringIO()`
`static cStringIO.StringIO`
`StringIO(CharSequence buffer)`
Create a StringIO object, initialized by the value.
`static cStringIO.StringIO`
`StringIO(PyArray array)`
Create a StringIO object, initialized by an array's byte stream.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __doc__

public static final String __doc__

See Also:
  - Constant Field Values

### InputType

public static PyType InputType

### OutputType

public static PyType OutputType

### __doc__StringIO

public static final String __doc__StringIO

See Also:
  - Constant Field Values

## Constructor Details

### cStringIO

public cStringIO()

## Method Details

### StringIO

public static cStringIO.StringIO StringIO()

### StringIO

public static cStringIO.StringIO StringIO(CharSequence buffer)
Create a StringIO object, initialized by the value.

Parameters:
  `buffer` - The initial value.
Returns:
  a new StringIO object.

### StringIO

public static cStringIO.StringIO StringIO(PyArray array)
Create a StringIO object, initialized by an array's byte stream.

Parameters:
  `array` - The initial value, from an array.
Returns:
  a new StringIO object.